%define upstream_name    Data-Util
%define upstream_version 0.63

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Exports subrtouines lexically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Data-Util-0.63-fix-build.patch

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel

%global __requires_exclude  %{?__requires_exclude}|^perl\\(Data::Util/PurePerl\\)

%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

The implementation of this module is both Pure Perl and XS, so if you have
a C compiler, all the functions this module provides are really faster.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.630.0-9.mga6
+ Revision: 1024950
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.630.0-8.mga6
+ Revision: 957062
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.630.0-7.mga6
+ Revision: 865019
- Fix build with perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.630.0-6.mga5
+ Revision: 789646
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.630.0-5.mga5
+ Revision: 750304
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.630.0-4.mga5
+ Revision: 732786
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.630.0-3.mga5
+ Revision: 684252
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.630.0-2.mga5
+ Revision: 631053
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 0.630.0-1.mga5
+ Revision: 602863
- update to 0.63

* Sat Oct 19 2013 umeabot <umeabot> 0.620.0-2.mga4
+ Revision: 524836
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.620.0-1.mga4
+ Revision: 431577
- update to 0.62
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 365528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 315011
- update to 0.60

* Wed May 30 2012 jquelin <jquelin> 0.590.0-2.mga3
+ Revision: 250483
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.590.0-1.mga2
+ Revision: 163778
- update to 0.59

* Sun Jun 12 2011 sander85 <sander85> 0.580.0-3.mga2
+ Revision: 105155
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.580.0-2.mga2
+ Revision: 32745
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.580.0-1.mga1
+ Revision: 30091
- mageia rebuild
- cleaning spec file
- imported package perl-Data-Util


* Sat Jan 15 2011 cpan2dist 0.58-1mdv
- initial mdv release, generated with cpan2dist
